Skip to navigation

List workload type by id.

View as MarkdownOpen in Claude
Retrieves a specific workload type by its ID.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

workloadTypeIdstringRequiredformat: "uuid"
The unique identifier of the workload type.

Response

Type retrieved successfully
categoryIdstringformat: "uuid"
The unique identifier of the workload category.
priorityIdstringformat: "uuid"
The unique identifier of the workload priority.
preemptibilityenum

Indicates the default preemptibility level of the workload type. Only available for workloads submitted to clusters of versions 2.24+. The default, if not specified, is if priority.value >= 100 - then ‘non-preemptible’, else ‘preemptible’.

Allowed values:
namestringformat: "^[A-Z][a-z0-9]*([A-Z][a-z0-9]*)*$"
The unique name of the workload type. This value must exactly match the Kubernetes Kind that represents the workload type.
groupstringformat: "^[a-z](?:[a-z0-9.-]*[a-z0-9])?$"
The Kubernetes group associated with the workload resource.
idstringOptionalformat: "uuid"
The unique identifier of the workload type.
categoryNamestringOptional
The name of the workload category.
priorityNamestringOptional
The name of the workload priority.
updatedAtdatetimeOptional
The timestamp for the last time the workload type was updated.
updatedBystringOptional
Identifier of the user who last updated the workload type.
createdAtdatetimeOptional
The timestamp for when the workload type was created.
createdBystringOptional
Identifier of the user who created the workload type.
resourceInterfaceslist of objectsOptional

Deprecated. Use kartas instead. Lists the versions of the custom resource definition (CRD) supported for this workload type, such as v1, v1beta1, or v1alpha1. This enables the platform to correctly parse, interpret, and manage manifests for this workload type according to the specific structure and schema associated with each listed version.

kartaslist of objectsOptional

Lists the versions of the custom resource definition (CRD) supported for this workload type, such as v1, v1beta1, or v1alpha1. This enables the platform to correctly parse, interpret, and manage manifests for this workload type according to the specific structure and schema associated with each listed version.

clusterStatuseslist of objects or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error